%global install_loc     %{_datadir}/eclipse/dropins/veditor

Name:           eclipse-veditor
Version:        1.2.0
Release:        1%{?dist}
Summary:        Eclipse-based Verilog/VHDL plugin

Group:          Applications/Engineering
License:        EPL
URL:            http://sourceforge.net/projects/veditor/

Source0:        http://downloads.sourceforge.net/sourceforge/veditor/veditor_1_2_0.tar.gz
Patch0:         eclipse-gtk-dir.patch

BuildRequires:  eclipse-pde
BuildRequires:  javacc
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       eclipse-platform
Requires:       freehdl
Requires:       iverilog

BuildArch:      noarch

%description
Eclipse Verilog editor is a plugin for the Eclipse IDE.
It provides Verilog(IEEE-1364) and VHDL language specific code
viewer, contents outline, code assist etc. It helps coding and
debugging in hardware development based on Verilog or VHDL.

%prep
%setup -q -c
%patch0 -p0 -b.orig

# Delete pre-built binaries
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# Fix ersion in build script to match manifest
sed -i "s|1.1.1|1.2.0|" veditor/buildjavacc.xml

# Fix rpmlint warnings
for f in CONTRIBUTORS.txt ChangeLog.txt about.html ; do
    sed 's|\r||' veditor/$f > $f
done

%build
for d in %{_libdir}/eclipse/plugins/org.eclipse.swt.gtk.linux* ; do
    if [ -d "$d" ] ; then
        GTK_DIR=$d
    fi
done
ant -verbose -f veditor/buildjavacc.xml export -Djavacc_dir=%{_javadir} \
    -Declipse_plugin_dir=%{_libdir}/eclipse/plugins \
    -Declipse_gtk_dir=$GTK_DIR

%install
install -d -m 755 %{buildroot}%{install_loc}/plugins
install -pm 0644 veditor/net.sourceforge.veditor_%{version}.jar \
    %{buildroot}%{install_loc}/plugins

%files
%doc CONTRIBUTORS.txt ChangeLog.txt about.html
%{install_loc}

%changelog
* Sat Aug 17 2019 Mat Booth <fedora@matbooth.co.uk> 1.2.0-1
- Update to latest upstream release
- Fix FTBFS rhbz #992178

* Mon Aug 12 2013 Alexander Kurtakov <akurtako@redhat.com> 0.7.1-6
- Drop old things.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 28 2011 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.7.1-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 17 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-3
- fixed source0's url

* Mon Jun 16 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-2
- Tuned spec file for eclipse specific packaging guidelines

* Fri May 23 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.3-1
- Initial Fedora Package
